### Function

# CM utils_get_homeserver_finish

since: 0.0.2

#### Declaration [src]

    char*
    cm_utils_get_homeserver_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish call to cm_utils_get_homeserver_async().

Available since: 0.0.2

#### Parameters

`result`

  Type: `GAsyncResult`

  The result.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `char*`

The homeserver string or `NULL` on error. Free with `g_free()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.